%define api 1
%define major 0
%define gi_version 1.0
%define libname %mklibname %{name} %{api} %{major}
%define giname %mklibname %{name}-gir %{gi_version}
%define develname %mklibname -d %name %api

Summary:	PolicyKit Authorization Framework
Name:		polkit
Version:	0.120
Release:	%mkrel 3
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/polkit
Source:	 http://www.freedesktop.org/software/polkit/releases/%{name}-%{version}.tar.xz
Patch0:      polkit-x11vars.patch
Patch1:		0001-pkexec-local-privilege-escalation-CVE-2021-4034.patch
Patch2:		https://src.fedoraproject.org/rpms/polkit/raw/rawhide/f/CVE-2021-4115.patch
Group:		System/Libraries
BuildRequires:	lib64expat-devel
BuildRequires:	pam-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	lib64mozjs-devel
BuildRequires:	lib64girepository-devel
BuildRequires: gettext-devel
Requires:       lib64mozjs78
Requires(pre):   rpm-helper
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package -n %{libname}
Group:		System/Libraries
Summary:	PolicyKit Authorization Framework
Requires:	%{name} = %{version}-%{release}
Provides:	%{giname} = %{version}-%{release}

%description -n %{libname}
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the shared libraries of %{name}.

%package -n %{develname}
Summary:	Development files for PolicyKit
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{giname} = %{version}-%{release}
Provides:	%{name}-%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for PolicyKit.

%prep
%setup -q
%apply_patches

%build
autoreconf -fiv
%configure2_5x \
	--enable-gtk-doc \
	--enable-introspection \
	--disable-static \
	--libexecdir=%{_libexecdir}/polkit-1/ \
	--with-polkitd-user=root \
	--enable-systemd=no \
	--enable-libsystemd-login=no \
	--enable-libelogind=no
%{__make}

%install
%makeinstall_std

%find_lang %{name}-%{api}

# we don't want these
find %{buildroot} -name "*.la" -delete

# (cg) Make the rules dir (this is where other packages should ship their rules)
mkdir -p %{buildroot}%{_datadir}/polkit-1/rules.d

# (cg) These rules should be package-owned, not admin owned.
mv %{buildroot}%{_sysconfdir}/polkit-1/rules.d/50-default.rules %{buildroot}%{_datadir}/polkit-1/rules.d/

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*-%api.so.%{major}*
%{_libdir}/girepository-1.0/*-%{gi_version}.typelib


%files -f polkit-1.lang
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.examples.pkexec.policy
%attr(700,root,root) %{_datadir}/polkit-1/rules.d
%{_datadir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_sysconfdir}/pam.d/polkit-1
%{_sysconfdir}/polkit-1
%attr(700,root,root) %dir %{_sysconfdir}/polkit-1/rules.d
%{_bindir}/pkaction
%{_bindir}/pkcheck
%attr(4755,root,root) %{_bindir}/pkexec
%{_bindir}/pkttyagent
%{_bindir}/pk-example-frobnicate
%dir %{_prefix}/lib/polkit-1
%{_prefix}/lib/polkit-1/polkitd
%attr(4755,root,root) %{_prefix}/lib/polkit-1/polkit-agent-helper-1
%{_datadir}/gettext/its/polkit.*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*-%{gi_version}.gir
%{_includedir}/*


%changelog
* Fri Feb 18 2022 tex - 0.120-3pclos2022
- fix file descriptor exhaustion (CVE-2021-4115)

* Wed Jan 26 2022 tex - 0.120-2pclos2022
- rebuild against updates

* Mon Nov 01 2021 tex - 0.120-1pclos2021
- new version

* Sat Jun 19 2021 tex - 0.119-2pclos2021
-  add more vars to export

* Thu Jun 03 2021 tex - 0.119-1pclos2021
- new version

* Sat May 22 2021 yodelu - 0.118-1pclos2021
- update

* Thu May 20 2021 tex - 0.113-3pclos2021
- rebuild

* Fri Feb 09 2018 yodelu <yodelu> 0.113-1pclos2018
- update 
